# pwt

#### 介绍
帕沃特换电站站控系统

#### 软件架构
com.pwt     
├── common            // 工具类
│       └── annotation                    // 自定义注解
│       └── config                        // 全局配置
│       └── constant                      // 通用常量
│       └── core                          // 核心控制
│       └── enums                         // 通用枚举
│       └── exception                     // 通用异常
│       └── filter                        // 过滤器处理
│       └── utils                         // 通用类处理
├── framework         // 框架核心
│       └── aspectj                       // 注解实现
│       └── config                        // 系统配置
│       └── datasource                    // 数据权限
│       └── interceptor                   // 拦截器
│       └── manager                       // 异步处理
│       └── security                      // 权限控制
│       └── web                           // 前端控制
├── pwt-generator   // 代码生成
├── pwt-netty       // 网络通讯
├── pwt-quartz      // 定时任务
├── pwt-system      // 系统代码
├── pwt-admin       // 后台服务

### 技术选型
1、系统环境

Java EE 8
Servlet 3.0
Apache Maven 3
2、主框架

Spring Boot 2.2.x
Spring Framework 5.2.x
Spring Security 5.2.x
3、持久层

Apache MyBatis 3.5.x
Alibaba Druid 1.2.x
4、视图层

Vue 2.6.x
Axios 0.21.x
Element 2.15.x

#### 安装教程